var SENSOR_DHT = require('dht11').connect(S2); // Подключение библиотеки 'dht11' для работы с датчиком температуры и влажности DHT-11, подключенным к пину S2

var MOISTURE; // Инициализация переменной с именем MOISTURE
var TEMPERATURE; // Инициализация переменной с именем TEMPERATURE

function sensor(data) // Определение функции sensor, в которой осуществляется считывание значений температуры и влажности
{
  TEMPERATURE=data.temperature; // Присвоение переменной TEMPERATURE значения температуры окружающей среды
  MOISTURE=data.moisture; // Присвоение переменной MOISTURE значения влажности окружающей среды
  console.log("Temperature: "+TEMPERATURE+ " C; "); // Вывод в терминал сообщения с значением измеренной температуры
  console.log("Moisture: "+MOISTURE+ " %; "); // Вывод в терминал сообщения с значением измеренной влажности
}

function sensor_read() 
{
  SENSOR_DHT.read(sensor);
}

setInterval(sensor_read, 3000); // Считывание значений с датчика DHT-11 осуществляется каждые 3 с