var SONIC = require('sonic-range-ev').connect({trigPin: S3, echoPin: L13}); // Подключение библиотеки для работы с УЗ дальномером SONIC, подключенным к линиям S3 и L13

function result(error, distance) // Определение новой функции и присвоение ей имени result
{
  if(error)                      // Если данные с датчика считались с ошибкой, то
  {
    console.log("Distance is not correct!"+"\r\n"); // Вывод в терминал сообщения об ошибке
  }
  else // Иначе
  {
  console.log("Distance: "+distance+" cm;"+"\r\n"); // Вывод в терминал значения считанной дистанции до объекта
  }
}

function dimension() 
{
  SONIC.ping(result, 'cm');  // Передача управления методу, реализующему запуск измерения расстояния с применением УЗ дальномера
}

setInterval(dimension ,100); // Считывать дистанцию до объекта каждые 100 мс