var BUTTON = require('button').connect(L9); // Подключение библиотеки 'button' для работы с тактовой кнопкой, подключенной к пину L9
var LED=require('led').connect(S0).turnOff();  // Подключение библиотеки 'led' для работы со светодиодом LED, подключенным к пину S0 и его отключение
var KB = require('usb-keyboard');

LED_STATE = false; // Создание переменной, хранящей состояние светодиода

function ledToggle() // Определение новой функции и присвоение ей имени ledToggle
{	
	if (LED_STATE == true) // Если светодиод был включен, то 
	{
		LED.turnOff(); // Выключить светодиод
		KB.type("LED_OFF" + "\n");
	}
	else // Иначе
	{
		LED.turnOn(); // Включить светодиод
		KB.type("LED_ON" + "\n");
	}
	LED_STATE = !LED_STATE; // Инвертирование состояния светодиода
}

BUTTON.on('let', ledToggle); // Вызов на исполнение функции ledToggle, если на пине BUTTON зафиксировано изменение сигнала с 1 на 0 (отпускание кнопки)
//BUTTON.on('tap', ledToggle); // Вызов на исполнение функции ledToggle, если на пине BUTTON зафиксировано изменение сигнала с 0 на 1 (нажатие кнопки)