var SERVO=require('servo').connect(MS1, {skorostValue:10}).set(10); // Подключение библиотеки для работы с сервоприводом, подключенным к пину MS1, и передача ей начальных параметров. Скорость (значение переменной skorostValue) может изменяеться от 1 до 11

var SERVO_STATE = true; // Переменная, хранящая положение вала сервопривода

function ServoToggle() // Функция, в которой осуществляется изменение положения вала сервопривода
{
  if(SERVO_STATE==true) // Если значение переменной истинно, то
  {
    SERVO.SmoothSet(0); // Повернуть вал сервопривода со скоростью, указанной при инициализации, на угол 0 градусов
  }
  else // Иначе
  {
    SERVO.set(90); // Повернуть вал серовпривода с максимальной скоростью на угол 90 градусов
  }
  SERVO_STATE=!SERVO_STATE; // Инвертирование значения переменной SERVO_STATE
}

setInterval(ServoToggle ,1000); // Вызов функции ServoToggle осуществляется каждую секунду